services:
  gotify:
    image: "gotify/server:2.9.1"
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:${GOTIFY_SERVER_PORT}"
    environment:
      - 'TZ=${TIME_ZONE}'
      - 'GOTIFY_SERVER_PORT=${GOTIFY_SERVER_PORT}'
      - 'GOTIFY_SERVER_KEEPALIVEPERIODSECONDS=${GOTIFY_SERVER_KEEPALIVEPERIODSECONDS}'
      - 'GOTIFY_SERVER_LISTENADDR=${GOTIFY_SERVER_LISTENADDR}'
      - 'GOTIFY_SERVER_SSL_ENABLED=${GOTIFY_SERVER_SSL_ENABLED}'
      - 'GOTIFY_SERVER_SSL_REDIRECTTOHTTPS=${GOTIFY_SERVER_SSL_REDIRECTTOHTTPS}'
      - 'GOTIFY_SERVER_SSL_LISTENADDR=${GOTIFY_SERVER_SSL_LISTENADDR}'
      - 'GOTIFY_SERVER_SSL_PORT=${GOTIFY_SERVER_SSL_PORT}'
      - 'GOTIFY_SERVER_SSL_CERTFILE=${GOTIFY_SERVER_SSL_CERTFILE}'
      - 'GOTIFY_SERVER_SSL_CERTKEY=${GOTIFY_SERVER_SSL_CERTKEY}'
      - 'GOTIFY_SERVER_SSL_LETSENCRYPT_ENABLED=${GOTIFY_SERVER_SSL_LETSENCRYPT_ENABLED}'
      - 'GOTIFY_SERVER_SSL_LETSENCRYPT_ACCEPTTOS=${GOTIFY_SERVER_SSL_LETSENCRYPT_ACCEPTTOS}'
      - 'GOTIFY_SERVER_SSL_LETSENCRYPT_CACHE=${GOTIFY_SERVER_SSL_LETSENCRYPT_CACHE}'
      - 'GOTIFY_SERVER_SSL_LETSENCRYPT_HOSTS=${GOTIFY_SERVER_SSL_LETSENCRYPT_HOSTS}'
      - 'GOTIFY_SERVER_RESPONSEHEADERS=${GOTIFY_SERVER_RESPONSEHEADERS}'
      - 'GOTIFY_SERVER_CORS_ALLOWORIGINS=${GOTIFY_SERVER_CORS_ALLOWORIGINS}'
      - 'GOTIFY_SERVER_CORS_ALLOWMETHODS=${GOTIFY_SERVER_CORS_ALLOWMETHODS}'
      - 'GOTIFY_SERVER_CORS_ALLOWHEADERS=${GOTIFY_SERVER_CORS_ALLOWHEADERS}'
      - 'GOTIFY_SERVER_STREAM_ALLOWEDORIGINS=${GOTIFY_SERVER_STREAM_ALLOWEDORIGINS}'
      - 'GOTIFY_SERVER_STREAM_PINGPERIODSECONDS=${GOTIFY_SERVER_STREAM_PINGPERIODSECONDS}'
      - 'GOTIFY_DATABASE_DIALECT=${GOTIFY_DATABASE_DIALECT}'
      - 'GOTIFY_DATABASE_CONNECTION=${GOTIFY_DATABASE_CONNECTION}'
      - 'GOTIFY_DEFAULTUSER_NAME=${GOTIFY_DEFAULTUSER_NAME}'
      - 'GOTIFY_DEFAULTUSER_PASS=${GOTIFY_DEFAULTUSER_PASS}'
      - 'GOTIFY_PASSSTRENGTH=${GOTIFY_PASSSTRENGTH}'
      - 'GOTIFY_UPLOADEDIMAGESDIR=${GOTIFY_UPLOADEDIMAGESDIR}'
      - 'GOTIFY_PLUGINSDIR=${GOTIFY_PLUGINSDIR}'
      - 'GOTIFY_REGISTRATION=${GOTIFY_REGISTRATION}'
    volumes:
      - ./data:/app/data
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true
